Subject: bug#43664: 28.0.50; Crush of X after choosing F10 -> Tutorial

From: Jean Louis <[email-masked]>
Date: Wed, 30 Sep 2020 14:03:59 +0300

* Eli Zaretskii <[email-masked]> [2020-09-28 09:37]:
> > From: Jean Louis <[email-masked]>
> > Date: Mon, 28 Sep 2020 07:23:28 +0200
> > 
> > I have Lucid GUI built Emacs, using it with toolbar, without menu, so
> > I pressed F10, and chose Help -> Tutorial, and all my X session
> > crushed.
> 
> Thanks for reporting this bug.  Does this happen if you start Emacs as
> "emacs -Q", disable the menu, and then press F10 and select the
> Tutorial item?
> 
> In any case, please run Emacs under GDB, and when it crashes, type at
> GDB's prompt
> 
>   (gdb) thread apply all bt
> 
> and post here everything GDP prints.

It is hard to reproduce the bug, it could be also something related to
EXWM, I cannot reproduce it, I was myself surprised as I have not seen
crushes for years.

Then I got several other crushes of X session all together, but not
related to menu.

I cannot reproduce it now.

I am using Lucid toolkit, and when I pressed F10, the menu list opened
in the bottom left corner, but now I cannot bring it to open it in
bottom left corner, as that corner could be related to the crush.